extends ../_docs-template

block vars
  - var activeLink = 'vue';
  - var title = 'Chips Vue Component | Framework7 Vue Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-vue
  .docs-content
    .motion-docs-page-title
      h1 Chip Vue Component
      script(src="/js/motion/chips.js")
      f7-motion-chips(motion)

    p <a href="../docs/chips.html">Chips (Tags)</a> Vue component represent complex entities in small blocks, such as a contact. They can contain a photo, short title string, and brief information
    h2 Chip Components
    p There are following components included:
    ul
      li `f7-chip`
    h2 Chip Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;f7-chip&gt; properties
        tr
          td text
          td string
          td
          td Chip label text
        tr
          td media
          td string
          td
          td Text content of chip media
        tr
          td media-bg-color
          td string
          td
          td Chip media element background color. One of the <a href="colors.html">default colors</a>
        tr
          td media-text-color
          td string
          td
          td Chip media element text color. One of the <a href="colors.html">default colors</a>
        tr
          td deleteable
          td boolean
          td false
          td Defines whether the Chip has additional "delete" button or not
        tr
          td outline
          td boolean
          td false
          td Makes Chip outline
        tr
          td tooltip
          td string
          td
          td <a href="../docs/tooltip.html">tooltip</a> text to show on hover/press
        tr
          td tooltip-trigger
          td string
          td hover
          td Defines how to trigger (open) Tooltip. Can be `hover`, `click` or `manual`
        tr
          th(colspan="4") &lt;f7-chip&gt; icon related properties
        +vueLinkIconProps
    h2 Chip Events
    table.events-table
      thead
        tr
          th Event
          th Description
      tbody
        tr
          th(colspan="2") &lt;f7-chip&gt; events
        tr
          td click
          td Event will be triggered on Chip click
        tr
          td delete
          td Event will be triggered on Chip delete button click
    h2 Chip Slots
    p Chip Vue component has additional slots for custom elements:
    ul
      li `text` - element will be inserted in place of chip text label
      li `default` - (same as `text`)
      li `media` - element will be inserted in the chip's media element


    h2 Examples
    +examplePreview('vue', 'chips.vue', 'chips')

